Skip to content

Gets all of the organization duplicates in the system.

Request

This method will scan all organization duplicates and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizationDuplicates/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The organization duplicateswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
address_postal_codestring(Address Postal Code)

The address postal code of the organization

domain_namestring(Domain Name)

Domain names that are associated with this organization

facebookstring(Facebook)

Url to the organization's Facebook account

highest_confidencenumber, (float)(Highest Confidence)

The highest confidence score within the possible duplicates excluding whitelisted records

idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this organization

linked_instring(Linked In)

Url to the organization's LinkedIn account

main_phone_numberstring(Main Phone Number)

The primary phone number

manual_duplicatesArray of strings(Manual Duplicates)required

The IDs of contacts that have been manually identified as duplicates of this contact

namestring(Name)required

The name of the organization

name_metaphonesArray of strings(Name Metaphones)

The metaphones calculated from the organization's name

name_primary_metaphonestring(Name Primary Metaphone)

The primary metaphone calculated from the organization's name

name_secondary_metaphonestring(Name Secondary Metaphone)

The secondary metaphone calculated from the organization's name

number_of_possible_duplicatesnumber, (float)(Number Of Possible Duplicates)

The number of possible duplicates excluding whitelisted records

parent_organization_idstring(Parent Organization)

The parent organization of this one

possible_duplicatesArray of objectsrequired

The organizations that are potentially duplicates of this organization

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

twitterstring(Twitter)

Url to the organization's Twitter account

websitestring(Website)

The url of the organization website

whitelistArray of strings(Whitelist)required

The IDs of organizations that have been manually identified as not duplicates of this organization. These IDs may appear in the possible_duplicates array but should not be presented

]
Response
[ { "address_postal_code": "string", "domain_name": "string", "facebook": "string", "highest_confidence": 0.1, "id": "string", "linked_in": "string", "main_phone_number": "string", "manual_duplicates": [ … ], "name": "string", "name_metaphones": [ … ], "name_primary_metaphone": "string", "name_secondary_metaphone": "string", "number_of_possible_duplicates": 0.1, "parent_organization_id": "string", "possible_duplicates": [ … ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "twitter": "string", "website": "string", "whitelist": [ … ] } ]